server.port: 7000

spring.cloud.stream.kafka.binder:
 brokers: localhost:9092
 auto-create-topics: false

spring.cloud.stream.bindings:
  products-out-0:
    destination: products

spring:
  cloud:
    stream:
      binding-retry-interval: 10

  spring kafka:
    producer:
      retries: 10

---
spring.config.activate.on-profile: docker

server.port: 8080

spring.cloud.stream.kafka.binder.brokers: kafka
spring.kafka.bootstrap-servers: kafka:9092